package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Apf;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ApfMapper {

    Apf queryById(@Param("inr") String inr);

    List<Apf> queryAllByLimit(Apf apf);

    long count(Apf apf);

    int insert(Apf apf);

    int insertBatch(List<Apf> entities);

    int insertOrUpdateBatch(List<Apf> entities);

    int update(Apf apf);

    int deleteById(String inr);

    int checkTyp(Apf apf);

    int checkPri(Apf apf);

    String checkEditTyp(Apf apf);

    String checkEditPri(Apf apf);

    List<Apf> getApfListByCode(@Param("code") String code);
}
